Robotics Service Bus - Feature #736
Logger should support printing of event collections
11/25/2011 07:12 PM - J. Moringen

Status: Resolved Start date: 11/25/2011
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: C++ Tools Estimated time: 0.00 hour
Target version: 0.6

Description

Associated revisions

Revision 2b7032ac - 01/18/2012 09:04 AM - J. Wienke

Support printing EventByScopeMaps. This is active whene using detailed and payload style. However, payload probably does not make much sense
right now as it just leaves out the header of the container event but prints the detailed information for every contained event. | don't know if something

else would make more sense here

fixes #736

Revision f1c819fa - 02/01/2012 06:28 PM - J. Moringen
Configure nested formatter in logger/EventsByScopeMapFormatter.cpp
refs #736

- logger/EventsByScopeMapFormatter.cpp: instantiate nested formatter

such that it does not print separators

Revision 9af6b9a2 - 02/01/2012 06:35 PM - J. Moringen
Instantiate by-scope-map converter properly in logger/main.cpp
refs #736
- logger/main.cpp: instantiate EventsByScopeMapConverter such that at
least one inner converter is always applicable; added some comments

History

#1 - 11/25/2011 07:13 PM - J. Moringen
- Subject changed from Support printing of event collections to Logger should support printing of event collections

#2-01/16/2012 10:13 AM - J. Wienke

- Status changed from New to In Progress
- Assignee set to J. Wienke

#3 - 01/18/2012 09:05 AM - J. Wienke

- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3241.
